import request from '@/utils/request'
import Qs from 'qs'
export function orderList(query) {
    return request({
        url: '/orderStorage/orderList',
        method: 'get',
        params: query,
        paramsSerializer: function(params) {
            return Qs.stringify(params, { arrayFormat: 'repeat' })
        }
    })
}


export function list(query) {
    return request({
        url: '/orderStorage/list',
        method: 'get',
        params: query,
        paramsSerializer: function(params) {
            return Qs.stringify(params, { arrayFormat: 'repeat' })
        }
    })
}

export function tranBookToFra(data) {
    return request({
        url: '/orderStorage/tranBookToFra',
        method: 'get',
        params: data
    })
}

export function orderBookFinish(query) {
    return request({
        url: '/orderStorage/finish',
        method: 'get',
        params: query,
    })
}

export function orderBookReassign(data) {
    return request({
        url: '/orderStorage/reassign',
        method: 'post',
        data
    })
}

export function cancelOrde(query) {
    return request({
        url: '/orderbookdetailstorage/cancelOrder',
        method: 'get',
        params: query,
        paramsSerializer: function(params) {
            return Qs.stringify(params, { arrayFormat: 'repeat' })
        }
    })
}